Skip to main content
POST
/
api
/
ext
/
v1
/
people
Create People
curl --request POST \
  --url https://staging-api.covver.io/api/ext/v1/people \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "people": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "birthDate": "<string>",
      "startDate": "<string>",
      "externalId": "<string>",
      "location": "<string>",
      "department": "<string>",
      "addBalance": 123
    }
  ],
  "collectionId": "<string>",
  "companyId": "<string>",
  "amount": 123,
  "shouldSendEmail": true
}
'
import requests

url = "https://staging-api.covver.io/api/ext/v1/people"

payload = {
"people": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"birthDate": "<string>",
"startDate": "<string>",
"externalId": "<string>",
"location": "<string>",
"department": "<string>",
"addBalance": 123
}
],
"collectionId": "<string>",
"companyId": "<string>",
"amount": 123,
"shouldSendEmail": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
people: [
{
firstName: '<string>',
lastName: '<string>',
email: '<string>',
birthDate: '<string>',
startDate: '<string>',
externalId: '<string>',
location: '<string>',
department: '<string>',
addBalance: 123
}
],
collectionId: '<string>',
companyId: '<string>',
amount: 123,
shouldSendEmail: true
})
};

fetch('https://staging-api.covver.io/api/ext/v1/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>"
  }
]
{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}
{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}
You can also pass an optional parameter to specify how much credits/gifts to reward them

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
people
object[]
required
collectionId
string
required
companyId
string
amount
number
shouldSendEmail
boolean

Response

Default Response

id
string
required
firstName
string
required
lastName
string
required
email
string
required